#--------------------------------------------------------------------------------------------------------
# XCN-Damage 1.0.0 by M4rc3L-XCN
# 
# Require: Eventscripts 2.0.250i+
#--------------------------------------------------------------------------------------------------------

import es,gamethread,esamlib

def load():
  global XCN_Damage
  XCN_Damage = "1.0.0"
  ifxcnvar = es.exists('variable','M4rc3L-XCN')
  if ifxcnvar != 1:
    M4rc3L = "XCN-Damage"
  else:
    marcel = str(es.ServerVar("M4rc3L-XCN"))
    marstat = marcel.split(",")
    if not "XCN-Damage" in marstat:
      M4rc3L = "%s,%s" % (marcel,"XCN-Damage")
    else:
      M4rc3L = marcel
  es.set("XCN-Damage",XCN_Damage)
  es.set("M4rc3L-XCN",M4rc3L)
  es.makepublic("XCN-Damage")
  es.makepublic("M4rc3L-XCN")
  
  es.sql('open','xcn_damage','|xcn_damage')
  es.sql('query','xcn_damage',"CREATE TABLE IF NOT EXISTS xcn (userid INTEGER DEFAULT '0' ,kills INTEGER DEFAULT '0' , damage INTEGER DEFAULT '0', hurts INTEGER DEFAULT '0')")
  gamethread.delayed(7,check_update_available)
  

def unload():
  es.sql('query','xcn_damage',"DELETE FROM xcn")
  es.sql('close','xcn_damage')

def player_spawn(ev):
  check = es.sql('queryvalue','xcn_damage',"SELECT userid FROM xcn WHERE userid='%i'" % int(ev['userid']))
  if check == None:
    es.sql('query','xcn_damage',"INSERT INTO xcn (userid, kills, damage, hurts) VALUES ('%i', 0, 0, 0)" % int(ev['userid']))

def player_hurt(ev):
  angreifer_dmg = int(ev['dmg_health'])
  angreifer_id = int(ev['attacker'])
  es.sql('query','xcn_damage',"UPDATE xcn SET damage = (damage + %i) WHERE userid='%i'" % (angreifer_dmg,angreifer_id))
  es.sql('query','xcn_damage',"UPDATE xcn SET hurts = (hurts + 1) WHERE userid='%i'" % angreifer_id)

def player_death(ev):
  angreifer_id = int(ev['attacker'])
  es.sql('query','xcn_damage',"UPDATE xcn SET kills = (kills + 1) WHERE userid='%i'" % angreifer_id)

def es_map_start(ev):
  gamethread.delayed(7,check_update_available)

def round_end(ev):
  damage_user=0
  damage_wert=0
  damage_user = es.sql('queryvalue','xcn_damage',"SELECT userid FROM xcn ORDER BY damage DESC LIMIT 1")
  damage_wert = es.sql('queryvalue','xcn_damage',"SELECT damage FROM xcn WHERE userid='%s'" %damage_user)
  if damage_wert != None:
    if damage_wert != 0:
      es.msg("#multi", "#lightgreen[XCN-Damage] Most Damage: #green%s #defaultwith #green%s" %(es.getplayername(damage_user),damage_wert))
  
  kill_user=0
  kill_wert=0
  kill_user = es.sql('queryvalue','xcn_damage',"SELECT userid FROM xcn ORDER BY kills DESC LIMIT 1")
  kill_wert = es.sql('queryvalue','xcn_damage',"SELECT kills FROM xcn WHERE userid='%s'" %kill_user)
  if kill_wert != None:
    if kill_wert != 0:
      es.msg("#multi", "#lightgreen[XCN-Damage] Most Kills: #green%s #defaultwith #green%s" %(es.getplayername(kill_user),kill_wert))
  
  hurt_user=0
  hurt_wert=0
  hurt_user = es.sql('queryvalue','xcn_damage',"SELECT userid FROM xcn ORDER BY hurts DESC LIMIT 1")
  hurt_wert = es.sql('queryvalue','xcn_damage',"SELECT hurts FROM xcn WHERE userid='%s'" %hurt_user)
  if hurt_wert != None:
    if hurt_wert != 0:
      es.msg("#multi", "#lightgreen[XCN-Damage] Most Attacks: #green%s #defaultwith #green%s" %(es.getplayername(hurt_user),hurt_wert))
  
  es.sql('query','xcn_damage',"DELETE FROM xcn")
  
def check_update_available():
  global XCN_Damage
  update_available = esamlib.getAddon('XCN-Damage')
  new_version = update_available.currentversion
  if not new_version == XCN_Damage:
    es.msg("#multi", "#lightgreen[XCN-Damage]#default Update is available!!! New version is: %s" %new_version)